summaryrefslogtreecommitdiffstats
path: root/perl/perl-gnome2-gconf
diff options
context:
space:
mode:
author Edinaldo P. Silva2017-03-12 17:09:06 +0100
committer Willy Sudiarto Raharjo2017-03-18 00:58:22 +0100
commit1a0401d64791b86c23eaaffd2746fc65c629df64 (patch)
tree8bd24e9dea9c0f7454748172291aa0b2d8f4a70b /perl/perl-gnome2-gconf
parent02aabc74a72e59d48021aa771fec8c0d430eda75 (diff)
downloadslackbuilds-1a0401d64791b86c23eaaffd2746fc65c629df64.tar.gz
perl/perl-gnome2-gconf: New maintainer + switch to i586.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'perl/perl-gnome2-gconf')
-rw-r--r--perl/perl-gnome2-gconf/README4
-rw-r--r--perl/perl-gnome2-gconf/perl-gnome2-gconf.SlackBuild28
-rw-r--r--perl/perl-gnome2-gconf/perl-gnome2-gconf.info4
-rw-r--r--perl/perl-gnome2-gconf/slack-desc6
4 files changed, 21 insertions, 21 deletions
diff --git a/perl/perl-gnome2-gconf/README b/perl/perl-gnome2-gconf/README
index 063da9998e..391284c0f0 100644
--- a/perl/perl-gnome2-gconf/README
+++ b/perl/perl-gnome2-gconf/README
@@ -1 +1,3 @@
-Perl bindings for GConf.
+perl-gnome2-gconf (Perl wrappers for the GConf configuration engine).
+
+Gnome2::GConf - Perl wrappers for the GConf configuration engine.
diff --git a/perl/perl-gnome2-gconf/perl-gnome2-gconf.SlackBuild b/perl/perl-gnome2-gconf/perl-gnome2-gconf.SlackBuild
index 27ac7b5ed3..19000dca8d 100644
--- a/perl/perl-gnome2-gconf/perl-gnome2-gconf.SlackBuild
+++ b/perl/perl-gnome2-gconf/perl-gnome2-gconf.SlackBuild
@@ -1,11 +1,12 @@
#!/bin/sh
-
-# Slackware build script for perl-gnome2-gconf
-
+#
+# Slackware build script for perl-gnome2-gconf.
+#
# Copyright 2010, 2012 Binh Nguyen <binhvng@gmail.com>
-# All rights reserved.
+# Copyright 2014-2017 Glenn Becker <glenn.becker@gmail.com>
+# Copyright 2017 Edinaldo P. Silva, Rio de Janeiro, Brazil.
#
-# 2014-10-11 SlackBuild Adopted by Glenn Becker <burningc@sdf.org>
+# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
@@ -24,17 +25,14 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
PRGNAM=perl-gnome2-gconf
VERSION=${VERSION:-1.044}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
TAG=${TAG:-_SBo}
-SRCNAM=Gnome2-GConf
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -45,8 +43,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -59,7 +57,9 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+SRCNAM="Gnome2-GConf"
+
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -92,8 +92,6 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
find $PKG/usr/man -type f -exec gzip -9 {} \;
-# Remove perllocal.pod and other special files that don't need to be installed,
-# as they will overwrite what's already on the system
find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
diff --git a/perl/perl-gnome2-gconf/perl-gnome2-gconf.info b/perl/perl-gnome2-gconf/perl-gnome2-gconf.info
index 91c5c4852c..8cdd1c5ac6 100644
--- a/perl/perl-gnome2-gconf/perl-gnome2-gconf.info
+++ b/perl/perl-gnome2-gconf/perl-gnome2-gconf.info
@@ -6,5 +6,5 @@ MD5SUM="ea386003b18f067524833b0eeb271330"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="perl-glib"
-MAINTAINER="Glenn Becker"
-EMAIL="glenn.becker@gmail.com"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/perl/perl-gnome2-gconf/slack-desc b/perl/perl-gnome2-gconf/slack-desc
index af4c0a264e..2a9b116119 100644
--- a/perl/perl-gnome2-gconf/slack-desc
+++ b/perl/perl-gnome2-gconf/slack-desc
@@ -6,11 +6,11 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-perl-gnome2-gconf: perl-gnome2-gconf (perl module)
+perl-gnome2-gconf: perl-gnome2-gconf (Perl wrappers for the GConf configuration engine)
perl-gnome2-gconf:
-perl-gnome2-gconf: Perl bindings for GConf.
+perl-gnome2-gconf: Gnome2::GConf - Perl wrappers for the GConf configuration engine.
perl-gnome2-gconf:
-perl-gnome2-gconf: Homepage: http://search.cpan.org/dist/Gnome2-GConf/
+perl-gnome2-gconf: Homepage: https://metacpan.org/pod/Gnome2::GConf
perl-gnome2-gconf:
perl-gnome2-gconf:
perl-gnome2-gconf: